Bug 1384622 - Add the client role to ceph-ansible
Summary: Add the client role to ceph-ansible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-ansible
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2
Assignee: leseb
QA Contact: ceph-qe-bugs
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1412948
TreeView+ depends on / blocked
 
Reported: 2016-10-13 17:18 UTC by Vasu Kulkarni
Modified: 2017-03-14 15:51 UTC (History)
11 users (show)

Fixed In Version: ceph-ansible-2.1.1-1.el7scon
Doc Type: Enhancement
Doc Text:
.ceph-client role is now supported The `ceph-ansible` utility now supports the `ceph-client` role. This new role enables you to copy the Ceph configuration file and administration keyring to node. In addition, you can use this role to create custom pools and clients. For details, see the https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/2/html-single/installation_guide_for_red_hat_enterprise_linux/#installing_the_ceph_client_role[Installing the ceph-client role] section in the Red Hat Ceph Storage 2 Installation Guide for Red Hat Enterprise Linux.
Clone Of:
Environment:
Last Closed: 2017-03-14 15:51:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0515 normal SHIPPED_LIVE Important: ansible and ceph-ansible security, bug fix, and enhancement update 2017-04-18 21:12:31 UTC

Description Vasu Kulkarni 2016-10-13 17:18:15 UTC
Description of problem:

Since we are not taking the latest 1.0.8, the client role has been missing for some time and its a pain to setup the client role and the playbook in master works absolutely fine, Please patch the client role changes

commit: https://github.com/ceph/ceph-ansible/commit/40df8fb8144b0da6d991802f208e78550cac1fa5

Comment 2 seb 2016-10-17 08:42:41 UTC
Ken, is it still time to push this in 1.0.5?
If so, I can cherry-pick this.

Comment 3 Ken Dreyer (Red Hat) 2017-01-11 23:06:40 UTC
This should be resolved in ceph-ansible v2.1.1.

Comment 6 Tejas 2017-02-06 08:56:38 UTC
The client role has been added as part of ceph-ansible.
Verified in version:
ceph-ansible-2.1.6-1.el7scon.noarch

Comment 9 errata-xmlrpc 2017-03-14 15:51:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0515


Note You need to log in before you can comment on or make changes to this bug.